カスタムアクション定義を取得
curl --request GET \
--url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actionUrl": "<string>",
"functions": [
{
"id": "<string>"
}
],
"id": "<string>",
"inputFields": [
{
"isRequired": true,
"typeDefinition": {
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"description": "<string>",
"helpText": "<string>",
"label": "<string>",
"optionsUrl": "<string>",
"referencedObjectType": "OWNER"
},
"supportedValueTypes": []
}
],
"labels": {},
"objectTypes": [
"<string>"
],
"published": true,
"revisionId": "<string>",
"archivedAt": 123,
"executionRules": [
{
"conditions": {},
"labelName": "<string>"
}
],
"inputFieldDependencies": [
{
"controllingFieldName": "<string>",
"dependencyType": "SINGLE_FIELD",
"dependentFieldNames": [
"<string>"
]
}
],
"objectRequestOptions": {
"properties": [
"<string>"
]
},
"outputFields": [
{
"typeDefinition": {
"externalOptions": true,
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"schema": {
"type": "INTEGER",
"maximum": 123,
"minimum": 123
},
"useChirp": true,
"description": "<string>",
"externalOptionsReferenceType": "<string>",
"helpText": "<string>",
"label": "<string>",
"optionsUrl": "<string>"
}
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}定義
Retrieve a custom action definition
IDを基準にカスタム ワークフロー アクション定義を取得します。
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
カスタムアクション定義を取得
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
アーカイブ済みの結果のみを返すかどうか。
レスポンス
successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- SINGLE_FIELD
- CONDITIONAL_SINGLE_FIELD
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
最終更新日 2026年4月10日
⌘I